Package com.avaya.clientservices.common

## Enum TLSProtocolVersion

- java.lang.Object
- - java.lang.Enum<TLSProtocolVersion>
  - - com.avaya.clientservices.common.TLSProtocolVersion

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TLSProtocolVersion>`

      public enum TLSProtocolVersion
      extends java.lang.Enum<TLSProtocolVersion>

  Enumeration specifying the minimum TLS version to be used for all the secure connections with the servers.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `TLS1` |
    `TLS1_1` |
    `TLS1_2` |
    `TLS1_3` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TLSProtocolVersion` | `convert​(java.lang.String name)` |
    `java.lang.String` | `getValue()` |
    `static TLSProtocolVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TLSProtocolVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TLS1

          public static final TLSProtocolVersion TLS1

    - #### TLS1_1

          public static final TLSProtocolVersion TLS1_1

    - #### TLS1_2

          public static final TLSProtocolVersion TLS1_2

    - #### TLS1_3

          public static final TLSProtocolVersion TLS1_3

  - ### Method Detail

    - #### values

          public static TLSProtocolVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TLSProtocolVersion c : TLSProtocolVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TLSProtocolVersion valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

    - #### convert

          public static TLSProtocolVersion convert​(java.lang.String name)